Subject: bug#46777: closed (Re: bug#46777: 28.0.50; ERC: NickServ identification: Prompt for password after other sources, overall simplifications)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Sep 2021 04:46:01 +0000

Your bug report

#46777: 28.0.50; ERC: NickServ identification: Prompt for password after other sources, overall simplifications

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46777: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46777
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46777: 28.0.50; ERC: NickServ identification: Prompt for password after other sources, overall simplifications
From: Amin Bandali <[email-masked]>
To: [email-masked]
Cc: Olivier Certner <[email-masked]>, [email-masked], Lars Ingebrigtsen <[email-masked]>, "J.P." <[email-masked]>
Date: Fri, 17 Sep 2021 00:45:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

Lars Ingebrigtsen writes:

> Amin Bandali <[email-masked]> writes:
>
>> 2. gradually phase out the function if we must: either declare it
>>    obsolete and make it a wrapper around a new function with the
>>    desired API
>
> This is usually the way to handle things like this, and it looks like
> the right solution here, too.

Thanks, sounds good.

                                 * * *

J.P. writes:

> Amin Bandali <[email-masked]> writes:
>
>> 1. change the function's arguments in a backwards-compatible way
>>    (i.e. by adding new &optional args as needed), and ignore the
>>    arg we don't need anymore (the password in this case, and
>>    make sure we don't accidentally expose it instead of a nick);
>
> I guess ignoring the password arg means some folks currently using this
> entry point in lisp code may have to call `erc-nickserv-send-identify'
> directly instead, depending on their needs. Works for me, but if that's
> the plan, I don't think the version I sent fits the bill entirely.

Right.  I think your *not* ignoring the password here is actually more
familiar and desirable, and I prefer it over what I'd suggested. :)

>> From a quick look at J.P.'s revised version of Olivier's patch, it
>> looks quite favourable to me
>
> Um, that was mostly me trying out my bandali impersonation (blasphemous,
> I know).

Ha, you give me too much credit. :)

Okay so having tested and reviewed J.P.'s revised patch, it looks good
to me; so I went ahead and merged it with some minor tweaks, including
listing J.P. as co-author:

https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=c6eb114a42922af18818dce7317238e0af776958

Thank you all for your help and bearing with me until I finally got
around to this.

Subject: 28.0.50; ERC: NickServ identification: Prompt for password after other sources, overall simplifications
From: Olivier Certner <[email-masked]>
To: [email-masked]
Date: Thu, 25 Feb 2021 18:33:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When `erc-prompt-for-nickserv-password' is true, don't ignore the
other forms of identification.  Instead, process them first, and
prompt for the password last.  Separate concerns (determination of the
nick to use, of the password to use, and actual message sending).

Note that the user can be interactively prompted for a password on
reception of a Nickserv request, as before (on
`erc-prompt-for-nickserv-password').

This is a follow-up to #45340 (see end of discussion there for additional 
context).

Pull request with the single commit to be posted after the bug is open. 
Changes rebased on master.

-- 
Olivier Certner